package de.ugoe.cs.autoquest.htmlmonitor;

/**
 * <p>
 * TODO comment
 * </p>
 * 
 * @author Patrick Harms
 */
public interface HtmlMonitorComponent {

    /**
     * 
     */
    void init() throws IllegalStateException, HtmlMonitorException;

    /**
     * 
     */
    void start() throws IllegalStateException, HtmlMonitorException;

    /**
     * 
     */
    void stop();
}
